Package: groovy.org.codenarc.rule.security

## [Groovy] Class FileCreateTempFileRule

- groovy.org.codenarc.rule.security.FileCreateTempFileRule

- The File.createTempFile() method is insecure, and has been deprecated by the ESAPI secure coding library. It has been replaced by the ESAPI Randomizer.getRandomFilename(String) method. By default, this rule does not apply to test files.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `doNotApplyToFilesMatching`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String doNotApplyToFilesMatching

    - #### String name

    - #### int priority